@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  padding-top: var(--space-m);
  margin-bottom: var(--space-xxl);

  &.isEmpty {
    display: none;
  }
}

.footnotesTitle {
  font-size: var(--font-size-m);
  margin: 0;
  margin-bottom: var(--space-xxs);
}

.footnotes {
  font-size: var(--font-size-s);
  columns: 3;
  column-gap: var(--space-xl);

  :global(.footnote) {
    padding: .5em var(--space-xs);
    margin-left: calc(-1 * var(--space-xs));
    margin-right: calc(-1 * var(--space-xs));

    margin-top: 0;
    margin-bottom: 0;
    line-height: var(--font-line-height-tighter);

    sup {
      font-weight: 500;
      margin-right: 0.1em;
      line-height: 1.5em;
      font-size: var(--font-size-xs);
      vertical-align: baseline;
    }

    &:target {
      background: var(--color-brand-weakest);
      box-shadow: -2px 0 0 0 var(--color-brand-base);
    }
  }

  :global {
    sup {
      font-weight: 500;
    }
  }

  @include smaller-than-m {
    columns: 2;
  }

  @include smaller-than-s {
    columns: 1;
  }
}
